/* You can add global styles to this file, and also import other style files */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Karla:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;700&display=swap');

body {
    margin: 0px;
    padding: 0px;
    font-family: 'Montserrat', sans-serif !important;
    background-color: #f5f5f5 !important;
}

ul li {
    list-style: none;
}

.btn {
    &.common-btn {
        background: #17304E;
        width: 130px;
        height: 40px;
        font-size: 14px;
        line-height: 16px;
        font-family: 'Karla', sans-serif;
        border-radius: 0px;
        border: 1px solid #17304E;
        font-weight: 700;

        &:hover {
            background: #306DCC;
            border: 1px solid #306DCC;
        }
    }
}


.multiselect-native-select {
    width: 100%;
    display: block;

    .btn-group {
        width: 100%;
    }

    .multiselect {
        border: 1px solid #C2CAD7;
        background-color: #fff;
        border-radius: 0px;
        height: 40px;
        font-weight: 700;
        font-size: 14px;
        line-height: 16px;
        color: #17304E;
        font-family: 'Karla', sans-serif;
        box-shadow: none;
        display: flex;
        align-items: center;
        justify-content: flex-start;

        .multiselect-selected-text {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            display: block;
        }
    }


}

.common-col-head {
    color: #155375;
    font-weight: 700;
    font-size: 16px;
    font-family: 'DM Sans', sans-serif;
    letter-spacing: 0.05em;
    margin-bottom: 10px;
}

.date-modal {
    .lightpick--inlined {
        margin-left: 40px;
        margin-top: 30px;
        box-shadow: none;

        .lightpick__toolbar {
            background: #17304E;
            padding: 10px 15px;

            button {
                background-color: transparent;
                border: 1px solid #C2CAD7;
                color: #C2CAD7;
                height: 28px;
                width: 28px;
                font-size: 14px;
            }
        }


        .lightpick__months {
            background-color: transparent;

            .lightpick__day {
                height: 30px;
            }

            .lightpick__month {
                background: #FFFFFF;
                box-shadow: 0.885862px 0.885862px 8.85863px 2.21466px rgba(0, 0, 0, 0.1);
                padding: 15px 10px;
                margin: 0px 10px;
            }
        }

    }
}

.navbar-expand-md {
    .navbar-toggler {
        @media (min-width: 1023px) {
            display: none;
        }
    }
}

.container {
    @media(max-width:1200px) {
        max-width: 100%;
        padding: 0px 30px;
    }

    @media(max-width:1023px) {
        max-width: 100%;
        padding: 0px 15px;
    }
}

.common-bg {
    background: #FFFFFF;
    box-shadow: 5px -3px 4px rgba(255, 255, 255, 0.05), 0px 4px 4px rgba(0, 0, 0, 0.05);
}


.lightpick {
    padding-top: 0px;

    &.lightpick--1-columns {
        .lightpick__months {
            padding-top: 0px;

            .lightpick__month {
                padding: 0px;

                .lightpick__month-title-bar {
                    background-color: #17304E;
                    padding: 10px 0px;

                    .lightpick__month-title {
                        width: 100%;
                        text-align: center;

                        select {
                            color: #fff;
                            font-family: 'Karla', sans-serif;
                            font-size: 12px;
                            font-weight: 700;
                            text-transform: uppercase;
                            width: auto;
                            text-align: center;
                        }
                    }

                    .lightpick__toolbar {
                        width: 100%;
                        position: absolute;

                        button {
                            background-color: transparent;
                            height: 24px;
                            width: 24px;
                            border: 1px solid #C2CAD7;
                            text-indent: -9999px;

                            &.lightpick__previous-action {
                                position: absolute;
                                left: 17%;
                                bottom: -12px;

                                &::before {
                                    content: "";
                                    background-image: url(../images/date-picker-arrow-left.png);
                                    height: 12px;
                                    width: 12px;
                                    background-repeat: no-repeat;
                                    background-size: 65%;
                                    position: absolute;
                                }
                            }

                            &.lightpick__next-action {
                                position: absolute;
                                right: 17%;
                                bottom: -12px;

                                &::before {
                                    content: "";
                                    background-image: url(../images/date-picker-arrow-right.png);
                                    height: 12px;
                                    width: 12px;
                                    background-repeat: no-repeat;
                                    background-size: 65%;
                                    right: 1px;
                                    position: absolute;
                                }
                            }
                        }
                    }

                }

                .lightpick__days-of-the-week {
                    .lightpick__day-of-the-week {
                        margin-top: 8px;
                        color: #C4C4C4;
                        font-size: 10px;
                        font-weight: 700;
                        line-height: 8px;
                        font-family: 'Inter', sans-serif;


                    }
                }

                .lightpick__days {
                    font-size: 12px !important;
                    color: #4A4A4E;
                    letter-spacing: 0.110506px;
                    line-height: 11px;
                    font-weight: 500;
                    font-family: 'Inter', sans-serif;

                }
            }
        }
    }
}